function skill103()

p = flag.GetBattleValue(33032)

if battle.CheckPlayerStat(16,722)==1 then
    player.RemoveStat(0,16,722)
    player.RemoveStat(1,0,13)
    player.AddStat(1,0,100,47,5)
	if p==2 then	
	for wid=1,9,1 do
    if battle.CheckPlayerPlace(wid)==1 then
	   pid=battle.GetPlacePlayerID(wid)
   	   player.ChangeDP(0,pid,5)
	   player.CreateSE(pid,3911)
	end
	end
	end
	
else

if battle.CheckPlayerStat(16,724)==1 and battle.CheckPlayerStat(16,723)==1 then
player.RemoveStat(0,16,723)
player.RemoveStat(0,16,724)
player.AddStat(0,16,100,36,2)
--player.AddStat(0,16,100,725,2)
player.AddStat(0,16,100,725,999)
elseif battle.CheckPlayerStat(16,724)==0 and battle.CheckPlayerStat(16,723)==1 then
player.AddStat(0,16,9000,724,999)
elseif battle.CheckPlayerStat(16,724)==0 and battle.CheckPlayerStat(16,723)==0 then
player.AddStat(0,16,9000,723,999)
end

if battle.CheckPlayerStat(16,13)==1 then

player.RemoveStat(0,16,13)
player.AddStat(0,16,100,47,5)
if p==2 then
    player.ChangeDP(0,16,5)
    player.CreateSE(16,3911)
end

end

end

end